SHARE
TWEET

Erroroutput

a guest Nov 19th, 2019 92 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. python -m pip install kivy
  2. Collecting kivy
  3.   Using cached https://files.pythonhosted.org/packages/1b/4d/3f8a720f561dc1eabe036c0d87c6ce9d02823275391265538e606f45e37a/Kivy-1.11.1.tar.gz
  4.     ERROR: Command errored out with exit status 1:
  5.      command: 'C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\Gamer\\AppData\\Local\\Temp\\pip-install-iah9bpw6\\kivy\\setup.py'"'"'; __file__='"'"'C:\\Users\\Gamer\\AppData\\Local\\Temp\\pip-install-iah9bpw6\\kivy\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\Gamer\AppData\Local\Temp\pip-install-iah9bpw6\kivy\pip-egg-info'
  6.          cwd: C:\Users\Gamer\AppData\Local\Temp\pip-install-iah9bpw6\kivy\
  7.     Complete output (192 lines):
  8.     Using setuptools
  9.     User distribution detected, avoid portable command.
  10.     Using this graphics system: OpenGL
  11.     WARNING: A problem occurred while running pkg-config --libs --cflags gstreamer-1.0 (code 1)
  12.  
  13.     b'Der Befehl "pkg-config" ist entweder falsch geschrieben oder\r\nkonnte nicht gefunden werden.\r\n'
  14.  
  15.     WARNING: A problem occurred while running pkg-config --libs --cflags gstreamer-1.0 (code 1)
  16.  
  17.     b'Der Befehl "pkg-config" ist entweder falsch geschrieben oder\r\nkonnte nicht gefunden werden.\r\n'
  18.  
  19.     WARNING: A problem occurred while running pkg-config --libs --cflags sdl2 SDL2_ttf SDL2_image SDL2_mixer (code 1)
  20.  
  21.     b'Der Befehl "pkg-config" ist entweder falsch geschrieben oder\r\nkonnte nicht gefunden werden.\r\n'
  22.  
  23.     ERROR: Dependency for context.pyx not resolved: config.pxi
  24.     ERROR: Dependency for compiler.pyx not resolved: config.pxi
  25.     ERROR: Dependency for context_instructions.pyx not resolved: config.pxi
  26.     ERROR: Dependency for fbo.pyx not resolved: config.pxi
  27.     ERROR: Dependency for gl_instructions.pyx not resolved: config.pxi
  28.     ERROR: Dependency for instructions.pyx not resolved: config.pxi
  29.     ERROR: Dependency for opengl.pyx not resolved: config.pxi
  30.     ERROR: Dependency for opengl_utils.pyx not resolved: config.pxi
  31.     ERROR: Dependency for shader.pyx not resolved: config.pxi
  32.     ERROR: Dependency for stencil_instructions.pyx not resolved: config.pxi
  33.     ERROR: Dependency for scissor_instructions.pyx not resolved: config.pxi
  34.     ERROR: Dependency for texture.pyx not resolved: config.pxi
  35.     ERROR: Dependency for vbo.pyx not resolved: config.pxi
  36.     ERROR: Dependency for vertex.pyx not resolved: config.pxi
  37.     ERROR: Dependency for vertex_instructions.pyx not resolved: config.pxi
  38.     ERROR: Dependency for cgl.pyx not resolved: config.pxi
  39.     ERROR: Dependency for cgl_mock.pyx not resolved: config.pxi
  40.     ERROR: Dependency for cgl_gl.pyx not resolved: config.pxi
  41.     ERROR: Dependency for cgl_glew.pyx not resolved: config.pxi
  42.     ERROR: Dependency for cgl_sdl2.pyx not resolved: config.pxi
  43.     ERROR: Dependency for svg.pyx not resolved: config.pxi
  44.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Plex\Scanners.py because it changed.
  45.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Plex\Actions.py because it changed.
  46.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\Scanning.py because it changed.
  47.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\Visitor.py because it changed.
  48.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\FlowControl.py because it changed.
  49.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Runtime\refnanny.pyx because it changed.
  50.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\FusedNode.py because it changed.
  51.     Compiling C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Tempita\_tempita.py because it changed.
  52.     [1/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\FlowControl.py
  53.     [2/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\FusedNode.py
  54.     [3/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\Scanning.py
  55.     [4/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Compiler\Visitor.py
  56.     [5/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Plex\Actions.py
  57.     [6/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Plex\Scanners.py
  58.     [7/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Runtime\refnanny.pyx
  59.     [8/8] Cythonizing C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\Cython\Tempita\_tempita.py
  60.      Unable to find pgen, not compiling formal grammar.
  61.      warning: no files found matching 'Doc\*'
  62.      warning: no files found matching '*.pyx' under directory 'Cython\Debugger\Tests'
  63.      warning: no files found matching '*.pxd' under directory 'Cython\Debugger\Tests'
  64.      warning: no files found matching '*.pxd' under directory 'Cython\Utility'
  65.      warning: no files found matching 'pyximport\README'
  66.      Traceback (most recent call last):
  67.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\core.py", line 148, in setup
  68.          dist.run_commands()
  69.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\dist.py", line 966, in run_commands
  70.          self.run_command(cmd)
  71.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\dist.py", line 985, in run_command
  72.          cmd_obj.run()
  73.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\bdist_egg.py", line 172, in run
  74.          cmd = self.call_command('install_lib', warn_dir=0)
  75.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\bdist_egg.py", line 158, in call_command
  76.          self.run_command(cmdname)
  77.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\cmd.py", line 313, in run_command
  78.          self.distribution.run_command(command)
  79.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\dist.py", line 985, in run_command
  80.          cmd_obj.run()
  81.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\install_lib.py", line 11, in run
  82.          self.build()
  83.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\command\install_lib.py", line 107, in build
  84.          self.run_command('build_ext')
  85.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\cmd.py", line 313, in run_command
  86.          self.distribution.run_command(command)
  87.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\dist.py", line 985, in run_command
  88.          cmd_obj.run()
  89.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\build_ext.py", line 84, in run
  90.          _build_ext.run(self)
  91.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\command\build_ext.py", line 340, in run
  92.          self.build_extensions()
  93.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\command\build_ext.py", line 449, in build_extensions
  94.          self._build_extensions_serial()
  95.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\command\build_ext.py", line 474, in _build_extensions_serial
  96.          self.build_extension(ext)
  97.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\build_ext.py", line 205, in build_extension
  98.          _build_ext.build_extension(self, ext)
  99.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\command\build_ext.py", line 528, in build_extension
  100.          objects = self.compiler.compile(sources,
  101.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\_msvccompiler.py", line 360, in compile
  102.          self.initialize()
  103.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\_msvccompiler.py", line 253, in initialize
  104.          vc_env = _get_vc_env(plat_spec)
  105.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\msvc.py", line 171, in msvc14_get_vc_env
  106.          return EnvironmentInfo(plat_spec, vc_min_ver=14.0).return_env()
  107.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\msvc.py", line 1075, in __init__
  108.          self.si = SystemInfo(self.ri, vc_ver)
  109.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\msvc.py", line 547, in __init__
  110.          vc_ver or self._find_latest_available_vs_ver())
  111.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\msvc.py", line 561, in _find_latest_available_vs_ver
  112.          raise distutils.errors.DistutilsPlatformError(
  113.      distutils.errors.DistutilsPlatformError: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
  114.  
  115.      During handling of the above exception, another exception occurred:
  116.  
  117.      Traceback (most recent call last):
  118.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
  119.          yield saved
  120.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
  121.          yield
  122.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
  123.          _execfile(setup_script, ns)
  124.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
  125.          exec(code, globals, locals)
  126.        File "C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\setup.py", line 228, in <module>
  127.          This version of Cython is untested with Kivy. While this version may
  128.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\__init__.py", line 145, in setup
  129.          return distutils.core.setup(**attrs)
  130.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\core.py", line 163, in setup
  131.          raise SystemExit("error: " + str(msg))
  132.      SystemExit: error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
  133.  
  134.      During handling of the above exception, another exception occurred:
  135.  
  136.      Traceback (most recent call last):
  137.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\easy_install.py", line 1144, in run_setup
  138.          run_setup(setup_script, args)
  139.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 253, in run_setup
  140.          raise
  141.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\contextlib.py", line 131, in __exit__
  142.          self.gen.throw(type, value, traceback)
  143.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
  144.          yield
  145.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\contextlib.py", line 131, in __exit__
  146.          self.gen.throw(type, value, traceback)
  147.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 166, in save_modules
  148.          saved_exc.resume()
  149.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 141, in resume
  150.          six.reraise(type, exc, self._tb)
  151.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\_vendor\six.py", line 685, in reraise
  152.          raise value.with_traceback(tb)
  153.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
  154.          yield saved
  155.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
  156.          yield
  157.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
  158.          _execfile(setup_script, ns)
  159.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
  160.          exec(code, globals, locals)
  161.        File "C:\Users\Gamer\AppData\Local\Temp\easy_install-5f60h8re\Cython-0.29.10\setup.py", line 228, in <module>
  162.          This version of Cython is untested with Kivy. While this version may
  163.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\__init__.py", line 145, in setup
  164.          return distutils.core.setup(**attrs)
  165.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\distutils\core.py", line 163, in setup
  166.          raise SystemExit("error: " + str(msg))
  167.      SystemExit: error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
  168.  
  169.      During handling of the above exception, another exception occurred:
  170.  
  171.      Traceback (most recent call last):
  172.        File "<string>", line 1, in <module>
  173.        File "C:\Users\Gamer\AppData\Local\Temp\pip-install-iah9bpw6\kivy\setup.py", line 1073, in <module>
  174.          setup(
  175.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\__init__.py", line 144, in setup
  176.          _install_setup_requires(attrs)
  177.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\__init__.py", line 139, in _install_setup_requires
  178.          dist.fetch_build_eggs(dist.setup_requires)
  179.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\dist.py", line 717, in fetch_build_eggs
  180.          resolved_dists = pkg_resources.working_set.resolve(
  181.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\pkg_resources\__init__.py", line 780, in resolve
  182.          dist = best[req.key] = env.best_match(
  183.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\pkg_resources\__init__.py", line 1065, in best_match
  184.          return self.obtain(req, installer)
  185.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\pkg_resources\__init__.py", line 1077, in obtain
  186.          return installer(requirement)
  187.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\dist.py", line 787, in fetch_build_egg
  188.          return cmd.easy_install(req)
  189.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\easy_install.py", line 679, in easy_install
  190.          return self.install_item(spec, dist.location, tmpdir, deps)
  191.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\easy_install.py", line 705, in install_item
  192.          dists = self.install_eggs(spec, download, tmpdir)
  193.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\easy_install.py", line 890, in install_eggs
  194.          return self.build_and_install(setup_script, setup_base)
  195.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\easy_install.py", line 1158, in build_and_install
  196.          self.run_setup(setup_script, setup_base, args)
  197.        File "C:\Users\Gamer\AppData\Local\Programs\Python\Python38-32\lib\site-packages\setuptools\command\easy_install.py", line 1146, in run_setup
  198.          raise DistutilsError("Setup script exited with %s" % (v.args[0],))
  199.      distutils.errors.DistutilsError: Setup script exited with error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
  200.     ----------------------------------------
  201. ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Not a member of Pastebin yet?
Sign Up, it unlocks many cool features!
 
Top